Subject: bug#65241: 30.0.50; Cannot clone NonGNU ELPA

From: Stefan Monnier <[email-masked]>
Date: Wed, 06 Sep 2023 11:32:50 -0400

> I get an error using the most recent Git version from Homebrew on macOS:
>
> $ git --version
> git version 2.42.0
> $ git -c 'Transfer.fsckObjects=true' clone
> https://github.com/defunkt/coffee-mode
> Cloning into 'coffee-mode'...
> remote: Enumerating objects: 1847, done.
> error: object 2699d230e3b592ae42506d7b5c969a7ac6a4593c:
> zeroPaddedFilemode: contains zero-padded file modes
> fatal: fsck error in packed object
> fatal: fetch-pack: invalid index-pack output
> $

Duh!  I now see that it's because I have

    [fetch "fsck"]
            zeroPaddedFilemode = warn

in my `~/.gitconfig` (added by gremlins, presumably).

As for rewriting coffee-mode's history to avoid the problem: you need to
convince coffee-mode's upstream to do that first.
[ And you might want to check if coffee-mode is really the only branch
  that bumps into this problem.  ]

        Stefan

PS: Now that I think about it, maybe there's another way, which is to
use a *shallow* branch so the old offending commit is not stored in
`nongnu.git`.
It would hide all the coffee-mode history starting with (and
including) 20-May-2010 commit 2a59ce05bd, i.e. most of Chris Wanstrath's
contributions :-(
It would also take some help from a Savannah admin, but other than that
it seems like it would do the trick: basically just add a file
`.../nongnu.git/shallow` with a single line that says
`b1c16e50e93c662a12c49ac8f18b607656238361`.